Subject: Re: [PATCH] Fix race and deadlock when sending pack

From: Paul Serice <[email-masked]>
Date: Mon, 19 Dec 2005 11:29:42 -0600

> If, for some reason, a hook looked at stdin, it could get surprising
> results.

In the first patch, the hook would hang waiting for input.  That was a
bug.  In the second patch, the hook's standard input has been closed
by git-send-pack (which is the standard thing for the parent to do in
a pipeline), thus if a hook looks at stdin it will get EOF (the same
as if connected to /dev/null).

Paul